# Uses of Interface
javax.swing.event.AncestorListener

Packages that use AncestorListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

- ## Uses of AncestorListener in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util with parameters of type AncestorListener
  Modifier and Type
  Method
  Description
  `static void`
  SwingEventMonitor.`addAncestorListener(AncestorListener l)`
  Adds the specified listener to receive all `ANCESTOR` events on each component instance in the Java Virtual Machine as they occur.
  `static void`
  SwingEventMonitor.`removeAncestorListener(AncestorListener l)`
  Removes the specified listener so it no longer receives `ANCESTOR` events when they occur.

- ## Uses of AncestorListener in javax.swing

  Methods in javax.swing that return AncestorListener
  Modifier and Type
  Method
  Description
  `AncestorListener[]`
  JComponent.`getAncestorListeners()`
  Returns an array of all the ancestor listeners registered on this component.
  Methods in javax.swing with parameters of type AncestorListener
  Modifier and Type
  Method
  Description
  `void`
  JComponent.`addAncestorListener(AncestorListener listener)`
  Registers `listener` so that it will receive `AncestorEvents` when it or any of its ancestors move or are made visible or invisible.
  `void`
  JComponent.`removeAncestorListener(AncestorListener listener)`
  Unregisters `listener` so that it will no longer receive `AncestorEvents`.